%global namedreltag .Beta1
%global namedversion %{version}%{?namedreltag}
%define subrel 1
Name:             jboss-httpserver
Version:          1.0.0
Release:          %mkrel 4
Summary:          JBoss httpserver
Group:            Development/Java
License:          GPLv2 with exceptions
URL:              https://github.com/jbossas/httpserver

# git clone git://github.com/jbossas/httpserver.git
# cd httpserver/ && git archive --format=tar --prefix=jboss-httpserver-1.0.0.Beta1/ 1.0.0.Beta1 | xz > ../jboss-httpserver-1.0.0.Beta1.tar.xz
Source0:          jboss-httpserver-%{namedversion}.tar.xz

BuildArch:        noarch

BuildRequires:    jpackage-utils
BuildRequires:    java-devel
BuildRequires:    maven-local
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-release-plugin
BuildRequires:    maven-resources-plugin
BuildRequires:    maven-surefire-plugin
BuildRequires:    maven-surefire-provider-junit4
BuildRequires:    junit4
BuildRequires:    jboss-parent

Requires:         jpackage-utils
Requires:         java

%description
This package contains JBoss httpserver

%package javadoc
Summary:          Javadocs for %{name}
Group:            Development/Java
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

%build
mvn-rpmbuild install javadoc:aggregate

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/jboss
cp -p target/httpserver-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/jboss/httpserver.jar

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.jboss-httpserver.pom

%add_maven_depmap JPP.jboss-httpserver.pom jboss/httpserver.jar

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/*

%files javadoc
%{_javadocdir}/%{name}


%changelog
* Sat May 16 2015 neoclust <neoclust> 1.0.0-4.1.mga4
+ Revision: 822164
- Remove old %%update_maven_depmap macro

* Tue Dec 17 2013 dmorgan <dmorgan> 1.0.0-4.mga4
+ Revision: 558127
- Build with maven-local

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.0.0-2.mga3
+ Revision: 354961
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Aug 11 2011 dmorgan <dmorgan> 1.0.0-1.mga2
+ Revision: 132697
- Clean spec file

  + gil <gil>
    - imported package jboss-httpserver

